Subject: Re: Diffie-Hellman DomainParameters question

From: [email-masked] (Peter Gutmann)
Date: Wed, 23 Feb 2000 07:59:23 (NZDT)

"william bamberg" <[email-masked]> writes:

>I'm not a crypto expert, but I understand that the q value is not actually
>essential for doing Diffie-Hellman, and most D-H certificates that I've come
>across seem to omit it. Could anyone explain to me why it's not optional in
>the spec?

This is required by the particular version of X9.42 which was current when the
RFC 2459 draft was written, <grumble>ignoring the fact that pretty much the 
only thing which uses DH and DH certs is SSL/Skip/etc, which use PKCS #3 
DH</grumble>.

(I was very restrained there, I didn't post the 3-page rant which any mention
 of X9.42 usually triggers :-).

Peter.